www/luakit - The NetBSD Packages Collection

Fast, small, WebKit based browser extensible with Lua

Luakit is a highly configurable browser framework based on the WebKit web
content engine and the GTK+ toolkit. It is very fast, extensible with Lua,
and licensed under the GNU GPLv3 license. It is primarily targeted at
power users, developers and anyone who wants to have fine-grained control
over their web browser's behaviour and interface.

Build dependencies

pkgtools/x11-links devel/gperf x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/gmake devel/pkgconf

Runtime dependencies

devel/lua-filesystem lang/LuaJIT2 www/webkit-gtk x11/gtk3 www/webkit-gtk x11/gtk3

Available binary packages

aarch64:luakit-2.2nb2.tgz(NetBSD 9.0)
aarch64:luakit-2.2.1nb2.tgz(NetBSD 9.0)
i386:luakit-2.2nb2.tgz(NetBSD 9.0)
i386:luakit-2.2.1nb2.tgz(NetBSD 9.0)
x86_64:luakit-2.2.1nb2.tgz(NetBSD 9.0)
x86_64:luakit-2.2.1nb2.tgz(NetBSD 9.0)
x86_64:luakit-2.2.1nb2.tgz(NetBSD 9.0)
x86_64:luakit-2.2nb2.tgz(NetBSD 9.0)
x86_64:luakit-2.2nb2.tgz(NetBSD 9.0)
x86_64:luakit-2.2.1nb2.tgz(NetBSD 9.0)
x86_64:luakit-2.2.1nb2.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

luajit
Enable LuaJIT support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]